rte_rcu_qsbr_dq_parameters(3)

NAME
rte_rcu_qsbr_dq_parameters

SYNOPSIS

#include <rte_rcu_qsbr.h>

  Data Fields

const char * name
uint32_t flags
uint32_t size
uint32_t esize
uint32_t trigger_reclaim_limit
uint32_t max_reclaim_size
rte_rcu_qsbr_free_resource_t free_fn
void * p
struct rte_rcu_qsbr * v

Detailed Description

Parameters used when creating the defer queue.

Definition at line 148 of file rte_rcu_qsbr.h.

Field Documentation

  const char* name
Name of the queue.

Definition at line 149 of file rte_rcu_qsbr.h.

  uint32_t flags
Flags to control API behaviors

Definition at line 151 of file rte_rcu_qsbr.h.

  uint32_t size
Number of entries in queue. Typically, this will be the same as the maximum number of entries supported in the lock free data structure. Data structures with unbounded number of entries is not supported currently.

Definition at line 153 of file rte_rcu_qsbr.h.

  uint32_t esize
Size (in bytes) of each element in the defer queue. This has to be multiple of 4B.

Definition at line 160 of file rte_rcu_qsbr.h.

  uint32_t trigger_reclaim_limit
Trigger automatic reclamation after the defer queue has at least these many resources waiting. This auto reclamation is triggered in rte_rcu_qsbr_dq_enqueue API call. If this is greater than 'size', auto reclamation is not triggered. If this is set to 0, auto reclamation is triggered in every call to rte_rcu_qsbr_dq_enqueue API.

Definition at line 164 of file rte_rcu_qsbr.h.

  uint32_t max_reclaim_size
When automatic reclamation is enabled, reclaim at the max these many resources. This should contain a valid value, if auto reclamation is on. Setting this to 'size' or greater will reclaim all possible resources currently on the defer queue.

Definition at line 174 of file rte_rcu_qsbr.h.

  rte_rcu_qsbr_free_resource_t free_fn
Function to call to free the resource.

Definition at line 180 of file rte_rcu_qsbr.h.

  void* p
Pointer passed to the free function. Typically, this is the pointer to the data structure to which the resource to free belongs. This can be NULL.

Definition at line 182 of file rte_rcu_qsbr.h.

  struct rte_rcu_qsbr* v
RCU QSBR variable to use for this defer queue

Definition at line 187 of file rte_rcu_qsbr.h.

Author

Generated automatically by Doxygen for DPDK from the source code.